# Interface WidgetType<T>

interface WidgetType<T> {
content?: T;
name: WidgetsName;
uniqid: string;
}

#### Type Parameters

- T

- Defined in jamespot-user-api/src/types/widgets/common.ts:52

##### Index

### Properties

content?
name
uniqid

## Properties

### `Optional` content

content?: T

- Defined in jamespot-user-api/src/types/widgets/common.ts:55

### name

name: WidgetsName

- Defined in jamespot-user-api/src/types/widgets/common.ts:53

### uniqid

uniqid: string

- Defined in jamespot-user-api/src/types/widgets/common.ts:54